Package: javax.swing

## Class JPopupMenu

- - ### Methods Summary

    Methods
    Return type | Name and parameters
    --- | ---
    `Iterator` | `iterator()` Returns an Iterator which traverses the JPopupMenu one MenuElement at a time.
    `JPopupMenu` | `leftShift(GString gstr)` Overloads the left shift operator to provide an easy way to add components to a popupMenu.
    `JPopupMenu` | `leftShift(Component component)` Overloads the left shift operator to provide an easy way to add components to a popupMenu.
    `JPopupMenu` | `leftShift(String str)` Overloads the left shift operator to provide an easy way to add components to a popupMenu.
    `JPopupMenu` | `leftShift(Action action)` Overloads the left shift operator to provide an easy way to add components to a popupMenu.
    `JPopupMenu` | `leftShift(JMenuItem item)` Overloads the left shift operator to provide an easy way to add components to a popupMenu.

  - #### Methods inherited from class java.awt.Container

    `clear`, `getAt`, `iterator`, `leftShift`, `size`

  - #### Methods inherited from class java.lang.Object

    `addShutdownHook`, `any`, `any`, `asBoolean`, `asType`, `collect`, `collect`, `collect`, `dump`, `each`, `eachMatch`, `eachMatch`, `eachWithIndex`, `every`, `every`, `find`, `find`, `findAll`, `findAll`, `findIndexOf`, `findIndexOf`, `findIndexValues`, `findIndexValues`, `findLastIndexOf`, `findLastIndexOf`, `findResult`, `findResult`, `findResult`, `findResult`, `getAt`, `getMetaClass`, `getMetaPropertyValues`, `getProperties`, `grep`, `grep`, `hasProperty`, `identity`, `inject`, `inject`, `inspect`, `invokeMethod`, `is`, `isCase`, `isNotCase`, `iterator`, `metaClass`, `print`, `print`, `printf`, `printf`, `println`, `println`, `println`, `putAt`, `respondsTo`, `respondsTo`, `setMetaClass`, `split`, `sprintf`, `sprintf`, `stream`, `tap`, `toString`, `use`, `use`, `use`, `with`, `with`, `withCloseable`, `withMethodClosure`, `withStream`, `withTraits`

- - ### Methods Detail

    - #### public Iterator iterator()

      Returns an Iterator which traverses the JPopupMenu one MenuElement at a time.

      Returns:
        an Iterator for a JPopupMenu
      Since:
        1.6.4

    - #### public JPopupMenu leftShift(GString gstr)

      Overloads the left shift operator to provide an easy way to add components to a popupMenu.

      Parameters:
        `gstr` - a GString to be added to the popupMenu.
      Returns:
        same popupMenu, after the value was added to it.
      Since:
        1.6.4

    - #### public JPopupMenu leftShift(Component component)

      Overloads the left shift operator to provide an easy way to add components to a popupMenu.

      Parameters:
        `component` - a component to be added to the popupMenu.
      Returns:
        same popupMenu, after the value was added to it.
      Since:
        1.6.4

    - #### public JPopupMenu leftShift(String str)

      Overloads the left shift operator to provide an easy way to add components to a popupMenu.

      Parameters:
        `str` - a String to be added to the popupMenu.
      Returns:
        same popupMenu, after the value was added to it.
      Since:
        1.6.4

    - #### public JPopupMenu leftShift(Action action)

      Overloads the left shift operator to provide an easy way to add components to a popupMenu.

      Parameters:
        `action` - an action to be added to the popupMenu.
      Returns:
        same popupMenu, after the value was added to it.
      Since:
        1.6.4

    - #### public JPopupMenu leftShift(JMenuItem item)

      Overloads the left shift operator to provide an easy way to add components to a popupMenu.

      Parameters:
        `item` - an item to be added to the popupMenu.
      Returns:
        same popupMenu, after the value was added to it.
      Since:
        1.6.4